Package org.eclipse.emf.cdo.server

# Interface IStoreAccessor.DurableLocking2

All Superinterfaces:
  `IDurableLockingManager`, `IStoreAccessor.DurableLocking`

All Known Subinterfaces:
  `ILissomeStoreAccessor`

Enclosing interface:
  IStoreAccessor

public static interface IStoreAccessor.DurableLocking2 extends IStoreAccessor.DurableLocking
An extension interface for `store accessors` that support durable locking.

Since:
  4.1
Author:
  Caspar De Groot

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

`IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

## Method Summary

Modifier and Type
Method
Description
`IDurableLockingManager.LockArea`
`createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)`
`void`
`updateLockArea(IDurableLockingManager.LockArea lockArea)`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

`createLockArea, deleteLockArea, getLockArea, getLockAreas`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.DurableLocking

`lock, unlock, unlock`

## Method Details

### createLockArea

IDurableLockingManager.LockArea createLockArea(String durableLockingID, String userID, CDOBranchPoint branchPoint, boolean readOnly, Map<CDOID,IDurableLockingManager.LockGrade> locks)

### updateLockArea

void updateLockArea(IDurableLockingManager.LockArea lockArea)